Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rj.tools.jcsc.formatter
Class ConsoleResultsFormatter

    java.lang.Object
      |
      +--rj.tools.jcsc.formatter.AbstractResultsFormatter
            |
            +--rj.tools.jcsc.formatter.ConsoleResultsFormatter

All Implemented Interfaces:
  ResultsFormatter

public class ConsoleResultsFormatter
extends AbstractResultsFormatter

`ConsoleResultsFormatter` - Shows the results on the console in a compiler typcial way

Version:
  $Revision: 1.3 $
Author:
  Ralph Jocham

Fields inherited from class rj.tools.jcsc.formatter.AbstractResultsFormatter
`mAuthors, mBatchSummary, mClass, mMethodMetrics, mMethodsCount, mNCSSCount, mOutputStream, mPackage, mUnitTestClassCount, mUnitTestsCount, mViolations, mViolationsCount, mViolationsSorter`

Constructor Summary
`ConsoleResultsFormatter()`

Method Summary
`void` | `format()` format the results from one parsed file

Methods inherited from class rj.tools.jcsc.formatter.AbstractResultsFormatter
`formatBatch, isBatchMode, setAuthors, setBatchMode, setClassName, setMethodMetrics, setMethodsCount, setNCSSCount, setOutputStream, setPackage, setUnitTestClassCount, setUnitTestsCount, setViolations, setViolationsCount, setViolationSorter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleResultsFormatter

    public ConsoleResultsFormatter()

Method Detail

### format

    public void format()

  Description copied from interface: `ResultsFormatter`
  format the results from one parsed file
  See Also:
    `ResultsFormatter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(c) 1999-2004 by Ralph Jocham (rjocham72@netscape.net)
JCSC is released under the terms of the GNU General Public License